fixtan(3)

NAME
fixtan - Fixed point tangent of binary angles. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

fixed fixtan(fixed x);

DESCRIPTION
This function finds the tangent of a value using a lookup table. The input value must be a fixed point binary angle. Example:
   fixed angle, res_a, res_b;
   float dif;

   angle = itofix(37);
   /* Prove that tan(angle) == sin(angle) / cos(angle). */
   res_a = fixdiv(fixsin(angle), fixcos(angle));
   res_b = fixtan(angle);
   dif = fixtof(fixsub(res_a, res_b));
   allegro_message("Precision error: %f\n", dif);

RETURN VALUE
Returns the tangent of a fixed point binary format angle. The return value will be in radians.

SEE ALSO